---
# Don't forget to keep this file updated
# molecule/<scenario>/verify.yml
- name: "Verify"
  hosts: "cicd-ubuntu-24"
  gather_facts: false
  tasks:

    - name: "Get HAProxy service current state"
      register: "install_haproxy__service_status"
      failed_when: "not install_haproxy__service_status.status.ActiveState == 'active'"
      ansible.builtin.systemd:
        name: "haproxy"

    - name: "Check stats URL protection"
      when: "inv__install_haproxy__listen_stats.enabled"
      block:
        - name: "Check HAProxy connectivity"
          ansible.builtin.wait_for:
            host: "{{ inv__install_haproxy__listen_stats.bind }}"
            port: "{{ inv__install_haproxy__listen_stats.port }}"
            timeout: 120

        - name: "Check stats HTTPS URL"
          register: "result"
          failed_when: "result.status != 200"
          ansible.builtin.uri:
            url: "https://{{ inv__install_haproxy__listen_stats.bind }}:{{ inv__install_haproxy__listen_stats.port }}{{ inv__install_haproxy__listen_stats.uri }}"
            method: "GET"
            validate_certs: false
